Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(39)

Issue 2778983006: Make /deep/ as no-op and remove ::shadow in dynamic profile (Closed)

Created:
2 years, 7 months ago by hayato
Modified:
2 years, 6 months ago
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, chromium-reviews, dglazkov+blink, kinuko+watch, rwlbuis
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Make /deep/ as no-op and remove ::shadow in dynamic profile Intent to Remove: https://groups.google.com/a/chromium.org/forum/#!topic/blink-dev/HX5Y8Ykr5Ns To make this CL small one, and easy to be reverted, all tests which depend on /deep/ (or ::shadow) were either removed or updated in another CL: https://bugs.chromium.org/p/chromium/issues/detail?id=715034. This CL only touched the small part so that users can't use /deep/ or ::shadow in CSS dynamic profile in M60. The further internal clean up is needed in other CLs. BUG=489954 Review-Url: https://codereview.chromium.org/2778983006 Cr-Commit-Position: refs/heads/master@{#471684} Committed: https://chromium.googlesource.com/chromium/src/+/a7ab8a110bd6b5339c03a34a5a6bb9a419a49e60

Patch Set 1 #

Patch Set 2 : rebase; try #

Patch Set 3 : try #

Patch Set 4 : fix more tests #

Patch Set 5 : rebased #

Patch Set 6 : rebase #

Patch Set 7 : rebase #

Total comments: 7

Patch Set 8 : update #

Patch Set 9 : rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+36 lines, -24 lines) Patch
M third_party/WebKit/Source/core/css/CSSPageRule.cpp View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/CSSSelector.h View 1 2 3 4 5 6 7 8 3 chunks +5 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/CSSSelector.cpp View 1 2 3 4 5 6 7 8 4 chunks +7 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/SelectorChecker.cpp View 1 2 3 4 5 6 2 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/core/css/SelectorFilter.cpp View 1 2 3 4 5 6 7 8 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSParser.h View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSParser.cpp View 1 2 3 chunks +3 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSParserImpl.h View 1 2 1 chunk +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSParserImpl.cpp View 1 2 3 chunks +4 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSParserSelector.h View 1 2 2 chunks +4 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSSelectorParser.cpp View 1 2 3 4 5 6 7 8 2 chunks +3 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/dom/StyleEngineTest.cpp View 1 2 3 4 1 chunk +0 lines, -6 lines 0 comments Download

Messages

Total messages: 66 (50 generated)
hayato
rebase; try
2 years, 6 months ago (2017-04-24 05:11:56 UTC) #5
hayato
try
2 years, 6 months ago (2017-04-24 11:11:36 UTC) #10
hayato
fix more tests
2 years, 6 months ago (2017-04-25 07:06:06 UTC) #15
hayato
rebased
2 years, 6 months ago (2017-04-27 06:45:10 UTC) #20
hayato
rebase
2 years, 6 months ago (2017-04-28 04:13:53 UTC) #25
hayato
rebase
2 years, 6 months ago (2017-05-08 04:46:40 UTC) #30
hayato
PTAL I think the CL is ready to be reviewed. +achuith, alemate Regarding bug 719331, ...
2 years, 6 months ago (2017-05-09 07:08:33 UTC) #41
kochi
https://codereview.chromium.org/2778983006/diff/120001/third_party/WebKit/Source/core/css/CSSSelector.h File third_party/WebKit/Source/core/css/CSSSelector.h (right): https://codereview.chromium.org/2778983006/diff/120001/third_party/WebKit/Source/core/css/CSSSelector.h#newcode137 third_party/WebKit/Source/core/css/CSSSelector.h:137: kShadowDeepAsDescendant, // /deep/ as an alias for descendant nit: ...
2 years, 6 months ago (2017-05-09 14:29:38 UTC) #42
hayato
update
2 years, 6 months ago (2017-05-10 06:54:49 UTC) #43
hayato
Thanks you for the review. https://codereview.chromium.org/2778983006/diff/120001/third_party/WebKit/Source/core/css/CSSSelector.h File third_party/WebKit/Source/core/css/CSSSelector.h (right): https://codereview.chromium.org/2778983006/diff/120001/third_party/WebKit/Source/core/css/CSSSelector.h#newcode137 third_party/WebKit/Source/core/css/CSSSelector.h:137: kShadowDeepAsDescendant, // /deep/ as ...
2 years, 6 months ago (2017-05-10 06:57:04 UTC) #46
kochi
lgtm https://codereview.chromium.org/2778983006/diff/120001/third_party/WebKit/Source/core/css/parser/CSSSelectorParser.cpp File third_party/WebKit/Source/core/css/parser/CSSSelectorParser.cpp (right): https://codereview.chromium.org/2778983006/diff/120001/third_party/WebKit/Source/core/css/parser/CSSSelectorParser.cpp#newcode815 third_party/WebKit/Source/core/css/parser/CSSSelectorParser.cpp:815: // TODO: Check second_compound->GetPseudoType() On 2017/05/10 06:57:04, hayato ...
2 years, 6 months ago (2017-05-11 02:29:08 UTC) #49
hayato
rebased
2 years, 6 months ago (2017-05-15 03:54:22 UTC) #55
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2778983006/160001
2 years, 6 months ago (2017-05-15 04:14:16 UTC) #61
commit-bot: I haz the power
Committed patchset #9 (id:160001) as https://chromium.googlesource.com/chromium/src/+/a7ab8a110bd6b5339c03a34a5a6bb9a419a49e60
2 years, 6 months ago (2017-05-15 06:33:33 UTC) #64
rkc1
A revert of this CL (patchset #9 id:160001) has been created in https://codereview.chromium.org/2885163002/ by rkc@google.com. ...
2 years, 5 months ago (2017-05-16 19:52:21 UTC) #65
rkc
2 years, 5 months ago (2017-05-16 19:54:42 UTC) #66
Message was sent while issue was closed.
A revert of this CL (patchset #9 id:160001) has been created in
https://codereview.chromium.org/2885153003/ by rkc@chromium.org.

The reason for reverting is: (from the right account this time) Completely
breaks Chrome OS login UI.

Powered by Google App Engine
This is Rietveld 408576698